# _MapEmpty
<span class="source-link">[[Source]](src/collections/map.md#L1)</span>
```pony
primitive val _MapEmpty
```

## Constructors

### create
<span class="source-link">[[Source]](src/collections/map.md#L1)</span>


```pony
new val create()
: _MapEmpty val^
```

#### Returns

* [_MapEmpty](collections-_MapEmpty) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/collections/map.md#L2)</span>


```pony
fun box eq(
  that: _MapEmpty val)
: Bool val
```
#### Parameters

*   that: [_MapEmpty](collections-_MapEmpty) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/collections/map.md#L2)</span>


```pony
fun box ne(
  that: _MapEmpty val)
: Bool val
```
#### Parameters

*   that: [_MapEmpty](collections-_MapEmpty) val

#### Returns

* [Bool](builtin-Bool) val

---

